import type { UmbSearchFieldPresentationModel } from '../../types.js';
import { UmbLitElement } from '../../../lit-element/index.js';
export declare class UmbDashboardExamineSearcherElement extends UmbLitElement {
    #private;
    searcherName: string;
    private _searchResults?;
    private _exposedFields?;
    private _searchLoading;
    private _searchInput;
    private _workspacePath;
    private _totalPages;
    private _currentPage;
    private _totalNumberOfResults;
    private _onKeyPress;
    constructor();
    private _onSearch;
    private _updateFieldFilter;
    render(): import("lit-html").TemplateResult<1>;
    renderHeadCells(): import("lit-html").TemplateResult<1>;
    renderBodyCells(cellData: UmbSearchFieldPresentationModel[]): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
export default UmbDashboardExamineSearcherElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-dashboard-examine-searcher': UmbDashboardExamineSearcherElement;
    }
}
